using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
	public class ClassDto
	{
		public byte Class { get; set; }

		[StringLength(50, ErrorMessage = "班级名称不能超过 50 个字符。")]
		public string Name { get; set; }

		[Required(ErrorMessage = "年级是必填项。")]
		[Range(1, 12, ErrorMessage = "年级编号必须在 1 到 12 之间。")] 
		public byte Grade { get; set; }

		public string Description { get; set; } = "HELLO WORLD";


		public int? HeadTeacherId { get; set; }
	}
}
